
From: Alasdair G Kergon <agk@redhat.com>

Fix a dm-raid1 deadlock: nested spinlocks with _irq.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
From: Tim Burgess <tim.burgess@anu.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-raid1.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/md/dm-raid1.c~device-mapper-dm-raid1-deadlock-fix drivers/md/dm-raid1.c
--- 25/drivers/md/dm-raid1.c~device-mapper-dm-raid1-deadlock-fix	2005-02-22 11:30:37.000000000 -0800
+++ 25-akpm/drivers/md/dm-raid1.c	2005-02-22 11:30:37.000000000 -0800
@@ -253,9 +253,9 @@ static struct region *__rh_alloc(struct 
 	else {
 		__rh_insert(rh, nreg);
 		if (nreg->state == RH_CLEAN) {
-			spin_lock_irq(&rh->region_lock);
+			spin_lock(&rh->region_lock);
 			list_add(&nreg->list, &rh->clean_regions);
-			spin_unlock_irq(&rh->region_lock);
+			spin_unlock(&rh->region_lock);
 		}
 		reg = nreg;
 	}
_
